Name:           amahi-recipes
Version: 0.22
Release:        1

Summary:        Recipes is an Amahi Home Server app to input, manage and search recipes.

Group:          System Environment/Daemons
License:        GPL
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires: hdactl hda-platform
Requires: hda-platform => 0.36
Obsoletes: hda-app-recipes

%define debug_package %{nil}

%description
hda-app-recipes (a.k.a. Recipes) is an Amahi Home Server app to
input, manage and search recipes.

%prep
%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT

# platform server initialitation
mkdir -p $RPM_BUILD_ROOT/var/hda/platform/apps/recipes
rsync -a app/ $RPM_BUILD_ROOT/var/hda/platform/apps/recipes/

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [[ -e /var/cache/hdactl.cache ]]; then
        if grep -q yes /var/cache/hdactl.cache ; then
		/usr/bin/hda-alias add recipes > /dev/null 2>&1
		/sbin/service httpd reload &> /dev/null
	fi
fi

%preun

if [ "$1" = 0 ]; then
	# not an install
	/usr/bin/hda-alias rm recipes > /dev/null 2>&1
	/sbin/service httpd reload > /dev/null 2>&1
else
	/usr/bin/hda-alias add recipes > /dev/null 2>&1
	/sbin/service httpd reload > /dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
/var/hda/platform/apps/recipes/*


%changelog
* Mon Apr 20 2009 Carlos Puchol
- porting to new online apps
* Sun Mar 25 2007 Carlos Puchol
- initial version
